<?php

$cdate = date("Y/m/d H:i:s", date("U"));
$hpadrs = $_SERVER["REQUEST_URI"];
$refer = $_SERVER["HTTP_REFERER"];
$agent = $_SERVER["HTTP_USER_AGENT"];
$ipadrs = $_SERVER["REMOTE_ADDR"];

$filnam = "mainlog.cgi";
$fp = fopen($filnam,"a");
fputs($fp,"$cdate,$hpadrs,$refer,$agent,$ipadrs\n");
fclose($fp);


//データ書き込み先
$savefile = "counter/counter01.txt";
$ipsavefile = "counter/ip01.txt";

//IP,HOST取得
$ip = getenv("REMOTE_ADDR");
$host = getenv("REMOTE_HOST");
if ($host == null || $host == $ip)
    $host = gethostbyaddr($ip);
    $hostip = $host.$ip;

//IP,HOST書き込み先の存在チェック
if (file_exists($ipsavefile)){
    $cntip = file_get_contents($ipsavefile);
}

//カウンタ値書き込み先の存在チェック
if (file_exists($savefile)){
    $cnt = file_get_contents($savefile);
}

//同一IP,HOSTかどうか
if ($cntip!=$hostip){
    $cnt++;

//カウンタ値、IP,HOST更新
    file_put_contents($savefile,$cnt);
    file_put_contents($ipsavefile,$hostip);
}

//アクセスカウンター表示
$counter = sprintf("%06d",$cnt);
for ($i = 0;$i < strlen($counter); $i++) {
	$n = substr($counter,$i,1);
	echo "<img src='counter/".$n.".png'>";
}
?>